1

I am attempting to query a SharePoint site and write data to the console. I am getting an error of

the version of the request is 15.0.0.0 and it is not supported by the server. The server supports the following versions 14.0.0.0

On this line in my code:

ctx.ExecuteQuery();

But I installed both the Microsoft.SharePoint.Client and Microsoft.SharePoint.Client.Runtime from NuGet and if I click on the reference and look at the version the version for both shows 14.0.0.0

What must I do to overcome this error and allow my code to execute properly?

  • Which version of SharePoint are you using ? SP Online or On premise 2013 or 2016 ? – Gautam Sheth Aug 17 '18 at 12:57
  • Sharepoint Online – user2676140 Aug 17 '18 at 13:02
  • did you use this nuget package ? If not, create a new project and add this nuget and try – Gautam Sheth Aug 17 '18 at 13:03
1

This error is completly related to dlls only. Try to copy the dlls from SharePoint 2010 server and check it

  • I used Nuget to get the .dll where can I get the dll from SharePoint 2010? It is not installed on the PC I am working on (why I am using CSOM) – user2676140 Aug 17 '18 at 13:02
  • do you have access to the server – Prasanna Aug 17 '18 at 13:03
  • I do not have access to the server – user2676140 Aug 17 '18 at 13:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.